## ros-indigo-cob-safety-controller 0.6.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_safety_controller)

find_package(catkin REQUIRED)

catkin_package()

install(PROGRAMS bin/safety_controller ros/src/flexisoft_sim.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-cob-safety-controller (0.6.7-1trusty) trusty; urgency=high

  * Merge pull request #50 <https://github.com/ipa320/cob_substitute/issues/50> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #49 <https://github.com/ipa320/cob_substitute/issues/49> from ipa-fxm/fix_flexisoft_sim
    proper python dummy for flexisoft_sim
  * proper python dummy for flexisoft_sim
  * Merge pull request #48 <https://github.com/ipa320/cob_substitute/issues/48> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #45 <https://github.com/ipa320/cob_substitute/issues/45> from ipa-fxm/APACHE_license
    use license apache 2.0
  * change maintainer
  * Merge pull request #46 <https://github.com/ipa320/cob_substitute/issues/46> from ipa-fmw/remove/cob_relayboard
    remove cob_relayboard
  * remove cob_relayboard
  * use license apache 2.0
  * Contributors: Felix Messmer, Florian Weisshardt, ipa-fxm, ipa-uhr-mk

 -- Jannik Abbenseth <jba@ipa.fraunhofer.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-safety-controller (0.6.6-1trusty) trusty; urgency=high

  * manually fix changelog
  * Contributors: ipa-fxm

 -- Matthias Luedtke <mdl@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-safety-controller (0.6.5-1trusty) trusty; urgency=high



 -- Matthias Luedtke <mdl@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-safety-controller (0.6.4-1trusty) trusty; urgency=high



 -- Matthias Luedtke <mdl@ipa.fhg.de>  Sun, 24 Apr 2016 22:00:00 -0000

ros-indigo-cob-safety-controller (0.6.3-1trusty) trusty; urgency=high



 -- Matthias Luedtke <mdl@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-safety-controller (0.6.2-1trusty) trusty; urgency=high

  * migration to package format 2
  * remove trailing whitespaces
  * cleanup
  * Contributors: ipa-fxm

 -- Matthias Luedtke <mdl@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-indigo-cob-safety-controller (0.6.1-1trusty) trusty; urgency=high

  * beautify CMakeLists
  * Contributors: ipa-fxm

 -- Matthias Luedtke <mdl@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-safety-controller (0.6.0-1trusty) trusty; urgency=high



 -- Matthias Luedtke <mdl@ipa.fhg.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-indigo-cob-safety-controller (0.5.2-1trusty) trusty; urgency=high

  * increade version number
  * update changelog
  * install tags
  * substitute for cob_safety_controller
  * Contributors: Florian Weisshardt, ipa-fxm

 -- Matthias Luedtke <mdl@ipa.fhg.de>  Sun, 24 Aug 2014 22:00:00 -0000

ros-indigo-cob-safety-controller (0.5.1-1trusty) trusty; urgency=high



 -- Matthias Luedtke <mdl@ipa.fhg.de>  Wed, 26 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-cob-safety-controller
Section: misc
Priority: extra
Maintainer: Jannik Abbenseth <jba@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-cob-safety-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: This package is a substitute for the private implementation of cob_safety_controller package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-safety-controller//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
